## `@gitlab/query-language-rust`

GitLabQueryLanguage is an npm module that provides a simple interface for converting `glql`
queries into other formats.

It wraps the WebAssembly build of the `glql` compiler, written in Rust.

The Rust version is a port of the original Haskell version.

### Usage

Install the module:

```sh
npm install --save @gitlab/query-language-rust
```

Import and use the module:

```html
<script type="module">
  import { GitLabQueryLanguage } from '@gitlab/query-language-rust';

  const glql = GitLabQueryLanguage();
  glql.group = "gitlab-org";
  glql.username = "johnhope";
  await glql.initialize();

  let query = 'label != "backend" and author = currentUser() and weight = 1 and updated > today()';

  let graphql = glql.compile("graphql", query);

  console.log(graphql);
</script>
```

### Running the Example

Clone the repo and install the dev dependencies:

```sh
npm install
```

Build the module:

```
npm run build
```

Start the server of your choice. E.g.`wds`:

```sh
npx wds
```


